[Rubygems-developers] 1.3.5 soon

Luis Lavena luislavena at gmail.com
Wed Jun 24 19:28:00 EDT 2009


On Tue, Jun 23, 2009 at 8:45 PM, Eric Hodel<drbrain at segment7.net> wrote:
> I've made a 1_3 branch from the REL_1_3_4 tag and merged over the prerelease
> gems fixes from it.  I'd like to do a 1.3.5 soon.
>
> Bug fixes:
>
> * Fix use of prerelease gems.
>

What about trunk? right now trunk just generate errors:

./lib/rubygems/config_file.rb:38:in `initialize': wrong number of
arguments (5 for 4) (ArgumentError)
        from ./lib/rubygems/config_file.rb:38:in `new'
        from ./lib/rubygems/config_file.rb:38
        from ./lib/rubygems.rb:1104:in `require'
        from ./lib/rubygems.rb:1104
        from -e:1:in `require'
        from -e:1
rake aborted!

as for 1_3 branch, we started pretty good:

Started
C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:440:in
`trap': unsupported signal SIGINFO (ArgumentError)
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:440:in
`run'
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:420:in
`run_test_suites'
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:414:in
`each'
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:414:in
`run_test_suites'
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:413:in
`each'
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:413:in
`run_test_suites'
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:387:in
`run'
        from C:/Users/Luis/.gem/ruby/1.8/gems/minitest-1.4.1/lib/minitest/unit.rb:328:in
`autorun'
rake aborted!
Command failed with status (1): [C:/Users/Luis/Tools/Ruby/ruby-1.8.6-p368-i...]

(me being sarcastic)

-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry


More information about the Rubygems-developers mailing list